org.deidentifier.arx.framework.check.distribution

## Class IntArrayDictionary

- java.lang.Object
- - org.deidentifier.arx.framework.check.distribution.IntArrayDictionary

    public class IntArrayDictionary
    extends java.lang.Object

A hash groupify operator.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`IntArrayDictionary(int capacity)` Constructs a new dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()` Clears the dictionary.
`void` `decrementRefCount(int index)` Removes a element from the dictionary.
`int[]` `get(int index)` Returns the according entry.
`int` `probe(int[] key)` Probes the dictionary and either inserts a new entry index or returns the corresponding entry index.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntArrayDictionary

    public IntArrayDictionary(int capacity)

Constructs a new dictionary.

Parameters:
  `capacity` - the capacity

### Method Detail

#### clear

    public void clear()

Clears the dictionary.

#### decrementRefCount

    public void decrementRefCount(int index)

Removes a element from the dictionary.

Parameters:
  `index` -

#### get

    public int[] get(int index)

Returns the according entry.

Parameters:
  `index` -
Returns:

#### probe

    public int probe(int[] key)

Probes the dictionary and either inserts a new entry index or returns the corresponding entry index.

Parameters:
  `key` - the key
Returns: